diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c65e095..e452b15 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -3750,10 +3750,10 @@ credits()
 --RMichael Rothstein      Martin Rubey
 --RPhilip Santas          Alfred Scheerhorn      William Schelter
 --RGerhard Schneider      Martin Schoenert       Marshall Schor
---RFrithjof Schulze       Fritz Schwarz          Nick Simicich
---RWilliam Sit            Elena Smirnova         Jonathan Steinbach
---RFabio Stumbo           Christine Sundaresan   Robert Sutor
---RMoss E. Sweedler       Eugene Surowitz
+--RFrithjof Schulze       Fritz Schwarz          Steven Segletes
+--RNick Simicich          William Sit            Elena Smirnova
+--RJonathan Steinbach     Fabio Stumbo           Christine Sundaresan
+--RRobert Sutor           Moss E. Sweedler       Eugene Surowitz
 --RMax Tegmark            James Thatcher         Balbir Thomas
 --RMike Thomas            Dylan Thurston         Barry Trager
 --RThemos T. Tsikas
diff --git a/changelog b/changelog
index bb22690..e9b0a15 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090821 tpd src/axiom-website/patches.html 20090821.03.tpd.patch
+20090821 tpd books/bookvol10.4 fix credits output
+20090821 tpd src/input/unittest2.input fix credits output
 20090821 tpd src/axiom-website/patches.html 20090821.02.amr.patch
 20090821 amr src/interp/parsing.lisp missing @ at end of source
 20090821 tpd src/axiom-website/patches.html 20090821.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index da45f8b..0cc7cee 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1826,7 +1826,9 @@ i-coerce.lisp rewrite from boot to lisp<br/>
 i-coerfn.lisp rewrite from boot to lisp<br/>
 <a href="patches/20090821.01.tpd.patch">20090821.01.tpd.patch</a>
 i-eval.lisp rewrite from boot to lisp<br/>
-<a href="patches/20090821.02.amr.patch">20090822.01.amr.patch</a>
+<a href="patches/20090821.02.amr.patch">20090822.02.amr.patch</a>
 parsing.lisp missing @ at end of source<br/>
+<a href="patches/20090821.03.tpd.patch">20090822.03.tpd.patch</a>
+bookvol10.4, unittest2 fix credits output<br/>
  </body>
 </html>
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index abb27c5..b9b389c 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -98,7 +98,7 @@ Unit test the user level commands
 --S 13 of 237
 )lisp (identity credits)
 --R 
---RValue = ("An alphabetical listing of contributors to AXIOM:" "Cyril Alberga          Roy Adler              Christian Aistleitner" "Richard Anderson       George Andrews         S.J. Atkins" "Henry Baker            Stephen Balzac         Yurij Baransky" "David R. Barton        Gerald Baumgartner     Gilbert Baumslag" "Michael Becker         Jay Belanger           David Bindel" "Fred Blair             Vladimir Bondarenko    Mark Botch" "Alexandre Bouyer       Peter A. Broadbery     Martin Brock" "Manuel Bronstein       Stephen Buchwald       Florian Bundschuh" "Luanne Burns           William Burge" "Quentin Carpent        Robert Caviness        Bruce Char" "Ondrej Certik          Cheekai Chin           David V. Chudnovsky" "Gregory V. Chudnovsky  Josh Cohen             Christophe Conil" "Don Coppersmith        George Corliss         Robert Corless" "Gary Cornell           Meino Cramer           Claire Di Crescenzo" "David Cyganski" "Timothy Daly Sr.       Timothy Daly Jr.       James H. Davenport" "Didier Deshommes       Michael Dewar" "Jean Della Dora        Gabriel Dos Reis       Claire DiCrescendo" "Sam Dooley             Lionel Ducos           Martin Dunstan" "Brian Dupee            Dominique Duval" "Robert Edwards         Heow Eide-Goodman      Lars Erickson" "Richard Fateman        Bertfried Fauser       Stuart Feldman" "Brian Ford             Albrecht Fortenbacher  George Frances" "Constantine Frangos    Timothy Freeman        Korrinn Fu" "Marc Gaetano           Rudiger Gebauer        Kathy Gerber" "Patricia Gianni        Samantha Goldrich      Holger Gollan" "Teresa Gomez-Diaz      Laureano Gonzalez-Vega Stephen Gortler" "Johannes Grabmeier     Matt Grayson           Klaus Ebbe Grue" "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer" "Jocelyn Guidry" "Steve Hague            Satoshi Hamaguchi      Mike Hansen" "Richard Harke          Vilya Harvey           Martin Hassner" "Arthur S. Hathaway     Dan Hatton             Waldek Hebisch" "Karl Hegbloom          Ralf Hemmecke          Henderson" "Antoine Hersen         Gernot Hueber" "Pietro Iglio" "Alejandro Jakubi       Richard Jenks" "Kai Kaminski           Grant Keady            Tony Kennedy" "Paul Kosinski          Klaus Kusche           Bernhard Kutzler" "Tim Lahey              Larry Lambe            Franz Lehner" "Frederic Lehobey       Michel Levaud          Howard Levy" "Liu Xiaojun            Rudiger Loos           Michael Lucks" "Richard Luczak" "Camm Maguire           Francois Maltey        Alasdair McAndrew" "Bob McElrath           Michael McGettrick     Ian Meikle" "David Mentre           Victor S. Miller       Gerard Milmeister" "Mohammed Mobarak       H. Michael Moeller     Michael Monagan" "Marc Moreno-Maza       Scott Morrison         Joel Moses" "Mark Murray" "William Naylor         C. Andrew Neff         John Nelder" "Godfrey Nolan          Arthur Norman          Jinzhong Niu" "Michael O'Connor       Summat Oemrawsingh     Kostas Oikonomou" "Humberto Ortiz-Zuazaga" "Julian A. Padget       Bill Page              Susan Pelzel" "Michel Petitot         Didier Pinchon         Ayal Pinkus" "Jose Alfredo Portes" "Claude Quitte" "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko" "Michael Richardson     Renaud Rioboo          Jean Rivlin" "Nicolas Robidoux       Simon Robinson         Raymond Rogers" "Michael Rothstein      Martin Rubey" "Philip Santas          Alfred Scheerhorn      William Schelter" "Gerhard Schneider      Martin Schoenert       Marshall Schor" "Frithjof Schulze       Fritz Schwarz          Nick Simicich" "William Sit            Elena Smirnova         Jonathan Steinbach" "Fabio Stumbo           Christine Sundaresan   Robert Sutor" "Moss E. Sweedler       Eugene Surowitz" "Max Tegmark            James Thatcher         Balbir Thomas" "Mike Thomas            Dylan Thurston         Barry Trager" "Themos T. Tsikas" "Gregory Vanuxem" "Bernhard Wall          Stephen Watt           Jaap Weel" "Juergen Weiss          M. Weller              Mark Wegman" "James Wen              Thorsten Werther       Michael Wester" "John M. Wiley          Berhard Will           Clifton J. Williamson" "Stephen Wilson         Shmuel Winograd        Robert Wisbauer" "Sandra Wityak          Waldemar Wiwianka      Knut Wolf" "Clifford Yapp          David Yun" "Vadim Zhytnikov        Richard Zippel         Evelyn Zoernack" "Bruno Zuercher         Dan Zwillinger")
+--RValue = ("An alphabetical listing of contributors to AXIOM:" "Cyril Alberga          Roy Adler              Christian Aistleitner" "Richard Anderson       George Andrews         S.J. Atkins" "Henry Baker            Stephen Balzac         Yurij Baransky" "David R. Barton        Gerald Baumgartner     Gilbert Baumslag" "Michael Becker         Jay Belanger           David Bindel" "Fred Blair             Vladimir Bondarenko    Mark Botch" "Alexandre Bouyer       Peter A. Broadbery     Martin Brock" "Manuel Bronstein       Stephen Buchwald       Florian Bundschuh" "Luanne Burns           William Burge" "Quentin Carpent        Robert Caviness        Bruce Char" "Ondrej Certik          Cheekai Chin           David V. Chudnovsky" "Gregory V. Chudnovsky  Josh Cohen             Christophe Conil" "Don Coppersmith        George Corliss         Robert Corless" "Gary Cornell           Meino Cramer           Claire Di Crescenzo" "David Cyganski" "Timothy Daly Sr.       Timothy Daly Jr.       James H. Davenport" "Didier Deshommes       Michael Dewar" "Jean Della Dora        Gabriel Dos Reis       Claire DiCrescendo" "Sam Dooley             Lionel Ducos           Martin Dunstan" "Brian Dupee            Dominique Duval" "Robert Edwards         Heow Eide-Goodman      Lars Erickson" "Richard Fateman        Bertfried Fauser       Stuart Feldman" "Brian Ford             Albrecht Fortenbacher  George Frances" "Constantine Frangos    Timothy Freeman        Korrinn Fu" "Marc Gaetano           Rudiger Gebauer        Kathy Gerber" "Patricia Gianni        Samantha Goldrich      Holger Gollan" "Teresa Gomez-Diaz      Laureano Gonzalez-Vega Stephen Gortler" "Johannes Grabmeier     Matt Grayson           Klaus Ebbe Grue" "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer" "Jocelyn Guidry" "Steve Hague            Satoshi Hamaguchi      Mike Hansen" "Richard Harke          Vilya Harvey           Martin Hassner" "Arthur S. Hathaway     Dan Hatton             Waldek Hebisch" "Karl Hegbloom          Ralf Hemmecke          Henderson" "Antoine Hersen         Gernot Hueber" "Pietro Iglio" "Alejandro Jakubi       Richard Jenks" "Kai Kaminski           Grant Keady            Tony Kennedy" "Paul Kosinski          Klaus Kusche           Bernhard Kutzler" "Tim Lahey              Larry Lambe            Franz Lehner" "Frederic Lehobey       Michel Levaud          Howard Levy" "Liu Xiaojun            Rudiger Loos           Michael Lucks" "Richard Luczak" "Camm Maguire           Francois Maltey        Alasdair McAndrew" "Bob McElrath           Michael McGettrick     Ian Meikle" "David Mentre           Victor S. Miller       Gerard Milmeister" "Mohammed Mobarak       H. Michael Moeller     Michael Monagan" "Marc Moreno-Maza       Scott Morrison         Joel Moses" "Mark Murray" "William Naylor         C. Andrew Neff         John Nelder" "Godfrey Nolan          Arthur Norman          Jinzhong Niu" "Michael O'Connor       Summat Oemrawsingh     Kostas Oikonomou" "Humberto Ortiz-Zuazaga" "Julian A. Padget       Bill Page              Susan Pelzel" "Michel Petitot         Didier Pinchon         Ayal Pinkus" "Jose Alfredo Portes" "Claude Quitte" "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko" "Michael Richardson     Renaud Rioboo          Jean Rivlin" "Nicolas Robidoux       Simon Robinson         Raymond Rogers" "Michael Rothstein      Martin Rubey" "Philip Santas          Alfred Scheerhorn      William Schelter" "Gerhard Schneider      Martin Schoenert       Marshall Schor" "Frithjof Schulze       Fritz Schwarz          Steven Segletes" "Nick Simicich          William Sit            Elena Smirnova" "Jonathan Steinbach     Fabio Stumbo           Christine Sundaresan" "Robert Sutor           Moss E. Sweedler       Eugene Surowitz" "Max Tegmark            James Thatcher         Balbir Thomas" "Mike Thomas            Dylan Thurston         Barry Trager" "Themos T. Tsikas" "Gregory Vanuxem" "Bernhard Wall          Stephen Watt           Jaap Weel" "Juergen Weiss          M. Weller              Mark Wegman" "James Wen              Thorsten Werther       Michael Wester" "John M. Wiley          Berhard Will           Clifton J. Williamson" "Stephen Wilson         Shmuel Winograd        Robert Wisbauer" "Sandra Wityak          Waldemar Wiwianka      Knut Wolf" "Clifford Yapp          David Yun" "Vadim Zhytnikov        Richard Zippel         Evelyn Zoernack" "Bruno Zuercher         Dan Zwillinger")
 --E 13
 
 --S 14 of 237
